OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_Array1OfOrientedEdge Class Reference

`#include <StepShape_Array1OfOrientedEdge.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_Array1OfOrientedEdge (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepShape_Array1OfOrientedEdge (const Handle(StepShape_OrientedEdge)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepShape_OrientedEdge)&V)
Standard_EXPORT void | Destroy ()
| ~StepShape_Array1OfOrientedEdge ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepShape_Array1OfOrientedEdge & | Assign (const StepShape_Array1OfOrientedEdge &Other)
const StepShape_Array1OfOrientedEdge & | operator= (const StepShape_Array1OfOrientedEdge &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepShape_OrientedEdge)&Value)
const Handle_StepShape_OrientedEdge & | Value (const Standard_Integer Index) const
const Handle_StepShape_OrientedEdge & | operator() (const Standard_Integer Index) const
Handle_StepShape_OrientedEdge & | ChangeValue (const Standard_Integer Index)
Handle_StepShape_OrientedEdge & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | StepShape_Array1OfOrientedEdge (const StepShape_Array1OfOrientedEdge &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_Array1OfOrientedEdge::StepShape_Array1OfOrientedEdge | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepShape_Array1OfOrientedEdge::StepShape_Array1OfOrientedEdge | ( | const Handle(StepShape_OrientedEdge)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepShape_Array1OfOrientedEdge::~StepShape_Array1OfOrientedEdge | ( |  | ) | `[inline]`

Standard_EXPORT StepShape_Array1OfOrientedEdge::StepShape_Array1OfOrientedEdge | ( | const StepShape_Array1OfOrientedEdge & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepShape_Array1OfOrientedEdge& StepShape_Array1OfOrientedEdge::Assign | ( | const StepShape_Array1OfOrientedEdge & | Other | ) |

Handle_StepShape_OrientedEdge& StepShape_Array1OfOrientedEdge::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepShape_Array1OfOrientedEdge::Destroy | ( |  | ) |

Standard_EXPORT void StepShape_Array1OfOrientedEdge::Init | ( | const Handle(StepShape_OrientedEdge)& | V | ) |

Standard_Boolean StepShape_Array1OfOrientedEdge::IsAllocated | ( |  | ) | const

Standard_Integer StepShape_Array1OfOrientedEdge::Length | ( |  | ) | const

Standard_Integer StepShape_Array1OfOrientedEdge::Lower | ( |  | ) | const

void StepShape_Array1OfOrientedEdge::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepShape_Array1OfOrientedEdge::operator new | ( | size_t | size | ) | `[inline]`

void* StepShape_Array1OfOrientedEdge::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepShape_OrientedEdge& StepShape_Array1OfOrientedEdge::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepShape_OrientedEdge& StepShape_Array1OfOrientedEdge::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepShape_Array1OfOrientedEdge& StepShape_Array1OfOrientedEdge::operator= | ( | const StepShape_Array1OfOrientedEdge & | Other | ) | `[inline]`

void StepShape_Array1OfOrientedEdge::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepShape_OrientedEdge)& | Value
| ) |

Standard_Integer StepShape_Array1OfOrientedEdge::Upper | ( |  | ) | const

const Handle_StepShape_OrientedEdge& StepShape_Array1OfOrientedEdge::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepShape_Array1OfOrientedEdge::isAllocated`[private]`

Standard_Integer StepShape_Array1OfOrientedEdge::myLowerBound`[private]`

Standard_Address StepShape_Array1OfOrientedEdge::myStart`[private]`

Standard_Integer StepShape_Array1OfOrientedEdge::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepShape_Array1OfOrientedEdge.hxx